package de.myreality.dawn;

import com.badlogic.gdx.Game;

import de.myreality.chronos.resources.ResourceException;
import de.myreality.chronos.resources.ResourceManager;
import de.myreality.dawn.screens.IntroScreen;

public class DawnGame extends Game {
	
	ResourceManager resourceManager;
	
	@Override
	public void create() {
		resourceManager = ResourceManager.getInstance();
		loadResources(resourceManager);
		setScreen(new IntroScreen(this));
	}
	
	public static void loadResources(ResourceManager resourceManager) {
		try {			
			resourceManager.addResourceLoader(TextureAtlasLoader.class);
			resourceManager.addResourceLoader(TextureLoader.class);
			resourceManager.addResourceLoader(BitmapFontLoader.class);
		} catch (ResourceException e) {
			e.printStackTrace();
		}
	}
}
